---
title: Server - Favicon
summary: Get the favicon of a Minecraft server.
---

# Server - Favicon

The server favicon endpoint allows you to get the favicon of a Minecraft server.

## Endpoint

```
GET /server/icon/:query
```

## Platforms

This endpoint is only available for Java servers.

## Parameters

| Parameter | Description                                                               | Required |
|-----------|---------------------------------------------------------------------------|----------|
| query     | The IP address or hostname of the server you want to get the favicon for. | Yes      |

## Example

```bash
curl -X GET "https://api.mcutils.xyz/server/icon/hypixel.net" -H "accept: image/png"
```

## Response

![Server Icon](https://api.mcutils.xyz/server/icon/play.hypixel.net)

## Errors

| Status Code | Description                                   |
|-------------|-----------------------------------------------|
| 400         | The server was not found.                     |
| 429         | The Mojang API rate limit has been exhausted. |